@mixin smartBreakPoint($bp, $max-size) {
  @include media-breakpoint-down($bp) {
    padding: 30px 0;
    max-width: $max-size;
    overflow-x: auto;
  }
}

.article-table-wrapper {
  @include smartBreakPoint(lg, 800px);
  @include smartBreakPoint(md, 600px);
  @include smartBreakPoint(sm, 500px);
}

.article-table {
  margin-top: 27px;
  border-collapse: collapse;

  td {
    font-weight: normal;
  }

  td, th {
    padding: 10px 17px;
    border-bottom: 1px solid #dddddd;
    text-align: initial;
    vertical-align: middle;
  }

  &__header {
    background-color: #eceeef;
    font-size: 1rem;
    color: #55595c;
  }

  &__body {
    tr {
      transition: ease all .2s;

      &:hover {
        background-color: rgba(black, .04);
      }
    }
  }

  &__footer {
    td {
      border-bottom: none;
    }

    .pagination {
      justify-content: center;
      align-items: center;
    }
  }
}